<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN gc_organization
 */


class gc_organization_sugar extends Basic {
    public $new_schema = true;
    public $module_dir = 'gc_organization';
    public $object_name = 'gc_organization';
    public $table_name = 'gc_organization';
    public $importable = true;
    public $assigned_user_id;
    public $assigned_user_name;
    public $assigned_user_link;
    public $tag;
    public $tag_link;
    public $id;
    public $name;
    public $date_entered;
    public $date_modified;
    public $modified_user_id;
    public $modified_by_name;
    public $created_by;
    public $created_by_name;
    public $description;
    public $deleted;
    public $created_by_link;
    public $modified_user_link;
    public $activities;
    public $following;
    public $following_link;
    public $my_favorite;
    public $favorite_link;
    public $organization_name_2_local;
    public $organization_name_3_local;
    public $organization_name_4_local;
    public $organization_name_1_latin;
    public $organization_name_2_latin;
    public $organization_name_3_latin;
    public $organization_name_4_latin;
    public $organization_code_1;
    public $organization_code_2;
    public $sales_org_flag;
    public $billing_org_flag;
    public $service_org_flag;
    public $billing_affiliate_code;
        public $disable_row_level_security = true;
    
    /**
     * @deprecated Use __construct() instead
     */
    public function gc_organization_sugar()
    {
        self::__construct();
    }

    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function bean_implements($interface){
        switch($interface){
            case 'ACL': return true;
        }
        return false;
    }
    
}